Up

# NSDataLink

### Authors

Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSDataLink class

## NSDataLink : NSObject

> Declared in:
>   AppKit/NSDataLink.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -break
- -destinationApplicationName
- -destinationFilename
- -destinationSelection
- -disposition
- -encodeWithCoder:
- -initLinkedToFile:
- -initLinkedToSourceSelection:managedBy:supportingTypes:
- -initWithCoder:
- -initWithContentsOfFile:
- -initWithPasteboard:
- -lastUpdateTime
- -linkNumber
- -manager
- -noteSourceEdited
- -openSource
- -saveLinkIn:
- -setUpdateMode:
- -sourceApplicationName
- -sourceFilename
- -sourceSelection
- -types
- -updateDestination
- -updateMode
- -writeToFile:
- -writeToPasteboard:

### break

- (BOOL) break;

Description forthcoming.

### destinationApplicationName

- (NSString*) destinationApplicationName;

Description forthcoming.

### destinationFilename

- (NSString*) destinationFilename;

Description forthcoming.

### destinationSelection

- (NSSelection*) destinationSelection;

Description forthcoming.

### disposition

- (NSDataLinkDisposition) disposition;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### initLinkedToFile:

- (id) initLinkedToFile: (NSString*)filename;

Description forthcoming.

### initLinkedToSourceSelection:managedBy:supportingTypes:

- (id) initLinkedToSourceSelection: (NSSelection*)selection managedBy: (NSDataLinkManager*)linkManager supportingTypes: (NSArray*)newTypes;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### initWithContentsOfFile:

- (id) initWithContentsOfFile: (NSString*)filename;

Description forthcoming.

### initWithPasteboard:

- (id) initWithPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

### lastUpdateTime

- (NSDate*) lastUpdateTime;

Description forthcoming.

### linkNumber

- (NSDataLinkNumber) linkNumber;

Description forthcoming.

### manager

- (NSDataLinkManager*) manager;

Description forthcoming.

### noteSourceEdited

- (void) noteSourceEdited;

Description forthcoming.

### openSource

- (BOOL) openSource;

Description forthcoming.

### saveLinkIn:

- (BOOL) saveLinkIn: (NSString*)directoryName;

Description forthcoming.

### setUpdateMode:

- (void) setUpdateMode: (NSDataLinkUpdateMode)mode;

Description forthcoming.

### sourceApplicationName

- (NSString*) sourceApplicationName;

Description forthcoming.

### sourceFilename

- (NSString*) sourceFilename;

Description forthcoming.

### sourceSelection

- (NSSelection*) sourceSelection;

Description forthcoming.

### types

- (NSArray*) types;

Description forthcoming.

### updateDestination

- (BOOL) updateDestination;

Description forthcoming.

### updateMode

- (NSDataLinkUpdateMode) updateMode;

Description forthcoming.

### writeToFile:

- (BOOL) writeToFile: (NSString*)filename;

Description forthcoming.

### writeToPasteboard:

- (void) writeToPasteboard: (NSPasteboard*)pasteboard;

Description forthcoming.

Up